# ceffyl
[![DOI](https://zenodo.org/badge/474781623.svg)](https://zenodo.org/badge/latestdoi/474781623)

Pronounced /ˈkɛfɨ̞l/ **('keff-ill')**, meaning 'horse' in Cymraeg/Welsh 🏴󠁧󠁢󠁷󠁬󠁳󠁿🐎 

A software package to rapidly and flexibly analyse pulsar timing array (PTA) data via refiting to pulsar timing free spectra.

This can be done by fitting to a free spectrum of the entire PTA or to individual pulsars!

## Installation

To install via `pip`, some non-python dependencies are required. You can find these in [requirements.txt](https://github.com/astrolamb/ceffyl/edit/main/README.md#:~:text=README.md-,requirements,-.txt)

First, clone the repo
```bash
git clone git@github.com:astrolamb/ceffyl.git
```

Then pip install :)
```bash
pip install ceffyl
```

## examples

Find [examples](https://github.com/astrolamb/ceffyl/tree/main/examples) on how to create KDE representations of free spectra, and how to fit your data to your chosen data sets, [in this directory!](https://github.com/astrolamb/ceffyl/tree/main/examples)

## Attribution

```bash
@misc{lamb2023need,
      title={The Need For Speed: Rapid Refitting Techniques for Bayesian Spectral Characterization of the Gravitational Wave Background Using PTAs}, 
      author={William G. Lamb and Stephen R. Taylor and Rutger van Haasteren},
      year={2023},
      eprint={2303.15442},
      archivePrefix={arXiv},
      primaryClass={astro-ph.HE}
}
```
